<template>
  <div class="my-2">
    <div>
      <!-- <v-card v-if="user.disabled" class="warning mb-4" light>
        <v-card-title>User Disabled</v-card-title>
        <v-card-subtitle>This user has been disabled! Login accesss has been revoked.</v-card-subtitle>
        <v-card-text>
          <v-btn dark @click="user.disabled = false">
            <v-icon left small>mdi-account-check</v-icon>Enable User
          </v-btn>
        </v-card-text>
      </v-card> -->

      <v-card>
        <v-card-title>{{ $t("ProviderEdit.BasicInformation") }}</v-card-title>
        <v-card-text>
          <div class="d-flex flex-column flex-sm-row">
            <div>
              <v-img
                v-if="getProvider.logoURL"
                :src="getProvider.logoURL"
                class="blue-grey lighten-4 rounded elevation-3 mb-2"
                max-width="90"
                max-height="90"
              ></v-img>
              <v-img
                v-else
                src="https://thumbs.dreamstime.com/b/no-image-available-icon-photo-camera-flat-vector-illustration-132483141.jpg"
                class="blue-grey lighten-4 rounded elevation-3 mb-2"
                max-width="90"
                max-height="90"
              ></v-img>
            </div>
            <div class="mb-4"></div>
          </div>
          <div class="d-flex">
            <span class="font-weight-bold">{{ $t("provider.ID") }}</span>
            <span class="mx-1">
              <span>#</span>
              <copy-label :text="$route.params.id" />
            </span>
          </div>
        </v-card-text>
      </v-card>

      <v-expansion-panels v-model="panel" multiple class="mt-3">
        <v-expansion-panel>
          <v-expansion-panel-header class="title">{{
            $t("ProviderEdit.Info")
          }}</v-expansion-panel-header>

          <v-expansion-panel-content>
            <div class="mb-2">
              <div class="title">{{ $t("ProviderEdit.Name") }}</div>
              <v-icon size="large">mdi mdi-account</v-icon>
              <span class="subtitle mb-2">{{
                getProvider.name ? getProvider.name : " No available name"
              }}</span>
            </div>

            <v-divider></v-divider>

            <div class="my-2">
              <div class="title">{{ $t("ProviderEdit.Address") }}</div>
              <v-icon size="large">mdi mdi-google-maps</v-icon>
              <span class="subtitle mb-2">{{
                getProvider.address
                  ? getProvider.address
                  : " No available address"
              }}</span>
            </div>

            <v-divider></v-divider>

            <div class="my-2">
              <div class="title">
                {{ $t("ProviderEdit.yearsOfExperience") }}
              </div>
              <v-icon size="large">mdi mdi-book-clock-outline</v-icon>
              <span class="subtitle mb-2">{{
                getProvider.yearsOfExperience
                  ? getProvider.yearsOfExperience
                  : " No available yearsOfExperience"
              }}</span>
            </div>
          </v-expansion-panel-content>
        </v-expansion-panel>

        <v-expansion-panel>
          <v-expansion-panel-header class="title">{{
            $t("ProviderEdit.Actions")
          }}</v-expansion-panel-header>

          <v-expansion-panel-content d-flex>
            <div id="wrab">
              <div>
                <div class="title hovered-title">
                  {{ $t("ProviderEdit.AcceptRegistrationRequest") }}
                </div>
              </div>

              <div>
                <div class="title hovered-title">
                  {{ $t("ProviderEdit.AcceptEmployeeExchangeRequest") }}
                </div>
              </div>
              <div>
                <div class="title hovered-title">
                  {{ $t("ProviderEdit.SendRequestForFinanceDepartment") }}
                </div>
              </div>
              <div>
                <div class="error--text title hovered-title">
                  {{ $t("ProviderEdit.AcceptPublish") }}
                </div>
              </div>
              <div>
                <div class="error--text title hovered-title">
                  {{ $t("ProviderEdit.stopAccount") }}
                </div>
              </div>

              <!-- </div> -->
            </div>
          </v-expansion-panel-content>
        </v-expansion-panel>

        <v-expansion-panel>
          <v-expansion-panel-header class="title">{{
            $t("ProviderEdit.OtherRequests")
          }}</v-expansion-panel-header>
          <v-divider></v-divider>

          <v-expansion-panel-content class="body-2">
            <div class="error--text title mt-3 mb-2">
              {{ $t("ProviderEdit.AcceptPublishPhotos") }}
            </div>
          </v-expansion-panel-content>
        </v-expansion-panel>
      </v-expansion-panels>
    </div>
  </div>
</template>

<script>
import CopyLabel from "../../../components/common/CopyLabel";
import { mapActions, mapGetters } from "vuex";
export default {
  components: {
    CopyLabel,
  },
  data() {
    return {
      panel: [1],
      deleteDialog: false,
      disableDialog: false,
    };
  },
  mounted() {
    this.fetchSingleProvider(this.$route.params.id);
  },
  methods: {
    ...mapActions("users", ["fetchSingleProvider"]),
  },
  computed: {
    ...mapGetters("users", ["getProvider"]),
  },
};
</script>
<style scoped>
#wrab {
  display: flex !important;
  justify-content: space-between !important;
}
.hovered-title{
  cursor: pointer;
  padding: 20px;
  border-radius: 25px;
}
.hovered-title:hover{
  background-color: rgba(227, 222, 222, 0.667);
  transition: 0.5s ease-in-out;
}
</style>